"use strict";

exports.__esModule = true;
exports.RectangleStateButton = void 0;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _templateObject;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _taggedTemplateLiteralLoose(strings, raw) { if (!raw) { raw = strings.slice(0); } strings.raw = raw; return strings; }

var RectangleStateButton = function RectangleStateButton(props) {
  var _onClick = props.onClick; //管理按钮被激活的状态

  var _useState = (0, _react.useState)(true),
      isActive = _useState[0],
      setIsActive = _useState[1];

  return /*#__PURE__*/_react["default"].createElement(RealButton, {
    isActive: isActive,
    onClick: function onClick(event) {
      _onClick(event);

      setIsActive(!isActive);
    }
  }, props.children);
};

exports.RectangleStateButton = RectangleStateButton;

var RealButton = _styledComponents["default"].button(_templateObject || (_templateObject = _taggedTemplateLiteralLoose(["\n  width: 40px;\n  height: 24px;\n  background-color: ", ";\n  display: flex;\n  justify-content: center;\n  align-items: center;\n  margin-right: 4px;\n  box-shadow: inset 0 0 0 1px rgb(255 235 235 / 10%), 0 0 0 1px #181818;\n  transition: .2s;\n  cursor: pointer;\n\n  &:hover {\n    background-color: ", ";\n  }\n"])), function (props) {
  return props.isActive ? '#2681FF' : '#303640';
}, function (props) {
  return props.isActive ? '#409fff' : '#414750';
});
//# sourceMappingURL=rectangle-state-button.js.map